component: TeleopResourcesDiag
proto_imports:
  - teleop/proto/teleop_resources.proto
metric: TeleopResources
namespace: zoox::teleop::supervisor
faults:
  - id: 1
    name: invalid_resources
    severity: ERROR
    description: "Teleop has invalid resources, communication issues may exist."
  - id: 2
    name: client_request_failed
    severity: WARNING
    description: "Request for resources failed."

